Skip to main content
POST
/
v1
/
ceo
/
team
/
approve
Approve CEO team plan
curl --request POST \
  --url https://api.usenaive.ai/v1/ceo/team/approve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "team": [
    {
      "name": "<string>",
      "title": "<string>",
      "role": "<string>",
      "template": "<string>",
      "persona": "<string>",
      "skills": [
        "<string>"
      ],
      "context": "<string>",
      "department": "<string>"
    }
  ],
  "tasks": [
    {
      "title": "<string>",
      "description": "<string>",
      "assignee": "<string>",
      "phase": 1
    }
  ],
  "apps": [
    {
      "name": "<string>",
      "description": "<string>",
      "variant": "<string>"
    }
  ],
  "objective_id": "<string>"
}
'
{}

Authorizations

Authorization
string
header
required

Workspace API key. Create one via the dashboard or POST /v1/auth/keys.

Body

application/json
team
object[]
required
tasks
object[]
apps
object[]
objective_id
string

Response

Approved.

The response is of type object.